div#featured_banner {
    width: 100%;
    position: relative;
}

div#featured_banner .slide {
    width: 100%;
    padding-top: 30.25%;
    position: relative;
}

div#featured_banner .slide .banner_image {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-size: cover;
    background-position: center;
}

div#featured_banner .slide .banner_link {
    position: absolute;
    z-index: 9;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

div#featured_banner .slide .slide_heading {
    color: var(--primary);
    font-weight: 600;
}

div#featured_banner .slide .slide_title {
    font-weight: 600;
}

div#featured_banner .slide .slide_heading,
div#featured_banner .slide .slide_title,
div#featured_banner .slide .slide_event_datetime {
    margin-bottom: 1rem;
    line-height: 1.2;
}

div#featured_banner .slide .slide_content {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    padding-left: var(--space-2x);
    padding-top: var(--space);
    padding-bottom: var(--space);
    width: 100%;
    height: 100%;
    max-width: 500px;
    background: transparent;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    z-index: 2;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.9), -1px -1px 3px rgba(0,0,0,0.9);
}

div#featured_banner .slide .slide_content::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    background: rgba(0,0,0,0.85);
    width: 20%;
}

div#featured_banner .slide .slide_content::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 20%;
    z-index: -1;
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.85) 0%, rgba(0, 0, 0, 0.738) 19%, rgba(0, 0, 0, 0.541) 34%, rgba(0, 0, 0, 0.382) 47%, rgba(0, 0, 0, 0.278) 56.5%, rgba(0, 0, 0, 0.194) 65%, rgba(0, 0, 0, 0.126) 73%, rgba(0, 0, 0, 0.075) 80.2%, rgba(0, 0, 0, 0.042) 86.1%, rgba(0, 0, 0, 0.021) 91%, rgba(0, 0, 0, 0.008) 95.2%, rgba(0, 0, 0, 0.002) 98.2%, transparent 100%);
    width: 100%;
}

div#featured_banner .slide .slide_poster {
    position: absolute;
    right: var(--space-2x);
    bottom: var(--space);
    padding: 0;
    max-width: 30%;
    height: calc(100% - var(--space-2x));
    margin: auto;
    display: flex;
    align-items: flex-end;
}

div#featured_banner .slide .slide_poster .slide_poster_image {
    height: 100%;
    width: auto;
    max-height: 500px;
    overflow: hidden;
    object-fit: contain;
    filter: drop-shadow(0px 0px 10px rgba(0,0,0,0.9));
}


/* Slider CSS */
div#featured_banner span.swiper-pagination-bullet {
    position: relative;
    overflow: hidden;
    opacity: 1;
    background: rgba(65, 65, 65, 0.8);
    transition: width 200ms ease-in-out;
}

div#featured_banner span.swiper-pagination-bullet b {
    width: 0;
    background: white;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
}

div#featured_banner span.swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 30px;
    border-radius: 20px;
}

div#featured_banner span.swiper-pagination-bullet.swiper-pagination-bullet-active b {
    animation-name: countingBar;
    animation-duration: 6s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
    animation-direction: alternate;
    animation-fill-mode: forwards;
}

#featured_banner:hover span.swiper-pagination-bullet.swiper-pagination-bullet-active b {
    animation-name: countingBar;
    animation-play-state:paused;
}

@keyframes countingBar {
    0% {width: 0;}
    100% {width:100%;}
}

@media (max-width: 900px) {
    div#featured_banner .slide {
        padding-top: 36.25%;
    }
}

@media (max-width: 768px) {
    div#featured_banner .slide {
        padding-top: unset;
        height: 340px;
    }

    div#featured_banner .swiper-wrapper {
        display: flex;
        height: 100%;
        align-items: stretch;
    }

    div#featured_banner .swiper-wrapper .swiper-slide {
        height: unset;
        display: flex;
        flex-direction: column;
    }

    div#featured_banner .swiper-wrapper {
        background: var(--black);
    }

    div#featured_banner .slide .banner_image {
        position: relative;
        padding-top: 44%;
        flex: 1 0 auto;
    }

    div#featured_banner .slide .slide_poster {
        display: none;
    }
    
    div#featured_banner .slide .slide_content {
        position: relative;
        max-width: unset;
        text-align: center;
        align-items: center;
        background: var(--black);
        height: 100%;
        padding: 2rem 1rem;
    }

    div#featured_banner .slide .slide_content::before {
        display: none;
    }

    div#featured_banner div.swiper-pagination {
        height: fit-content;
        position: relative;
        background: var(--black);
        padding-bottom: 1rem;
    }

    div#featured_banner span.swiper-pagination-bullet {
        border: 1px solid white;
        opacity: 1;
        width: 18px;
        height: 18px;
    }

    div#featured_banner span.swiper-pagination-bullet.swiper-pagination-bullet-active {
        width: 18px;
        border-radius: 20px;
    }
}

@media (max-width: 512px) {
    div#featured_banner .slide .banner_image {
        padding-top: unset;
        height: 240px;

    }

    div#featured_banner .slide .slide_content .slide_description {
        display: none;
    }
}


